Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpos.config.simple.editor
Class JposEntryEditor

    java.lang.Object
      |
      +--jpos.config.simple.editor.JposEntryEditor

public class JposEntryEditor
extends java.lang.Object

Simple entry point to start the JposEntryEditor application

Since:
  0.1 (Philly 99 meeting)
Version:
  1.2 (NYC 2K meeting)
Author:
  E. Michael Maximilien (maxim@us.ibm.com)

Field Summary
`static java.lang.String` | `COULD_NOT_JCLEDITOR_MSG`
`static int` | `DISPOSE_ON_CLOSE`
`static int` | `DO_NOTHING_ON_CLOSE`
`static int` | `EXIT_ON_CLOSE`
`static int` | `HIDE_ON_CLOSE`
`static java.lang.String` | `JCL_ERROR_TITLE_STRING`
`static java.lang.String` | `JCL_PREREQUISITE_CLASSES_NOT_FOUND_MSG`

Method Summary
`static javax.swing.JFrame` | `getFrame()`
`static void` | `main(java.lang.String[] args)` Main entry point of the editor application
`static void` | `setDefaultFrameCloseOperation(int operation)` Exposes the JFrame of the application setDefaultCloseOperation this is needed to allow integration of the editor into other Java application otherwise if the default is used then the frame will exit and exit the application as well.
`static void` | `setFrameVisible(boolean b)` Hides or shows the Frame

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DO_NOTHING_ON_CLOSE

    public static final int DO_NOTHING_ON_CLOSE

### HIDE_ON_CLOSE

    public static final int HIDE_ON_CLOSE

### DISPOSE_ON_CLOSE

    public static final int DISPOSE_ON_CLOSE

### EXIT_ON_CLOSE

    public static final int EXIT_ON_CLOSE

### COULD_NOT_JCLEDITOR_MSG

    public static final java.lang.String COULD_NOT_JCLEDITOR_MSG

### JCL_PREREQUISITE_CLASSES_NOT_FOUND_MSG

    public static final java.lang.String JCL_PREREQUISITE_CLASSES_NOT_FOUND_MSG

### JCL_ERROR_TITLE_STRING

    public static final java.lang.String JCL_ERROR_TITLE_STRING

Method Detail

### main

    public static void main(java.lang.String[] args)

  Main entry point of the editor application
  Parameters:
    `args` - the command line arguments
  Since:
    0.1 (Philly 99 meeting)

### setFrameVisible

    public static void setFrameVisible(boolean b)

  Hides or shows the Frame
  Parameters:
    `b` - the boolean param

### setDefaultFrameCloseOperation

    public static void setDefaultFrameCloseOperation(int operation)

  Exposes the JFrame of the application setDefaultCloseOperation this is needed to allow integration of the editor into other Java application otherwise if the default is used then the frame will exit and exit the application as well. This method allows user to customize the closing of the editor.
  See Also:
    `DO_NOTHING_ON_CLOSE`, `HIDE_ON_CLOSE`, `DISPOSE_ON_CLOSE`, `EXIT_ON_CLOSE`

### getFrame

    public static javax.swing.JFrame getFrame()

  Returns:
    the Frame and contructs it lazily if necessary

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

This API and code belongs to the JavaPOS committee please see LISCENCE file for details